Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.l10n.jsp.taglib
Class L10nTagSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.netuix.servlets.l10n.jsp.taglib.L10nTagSupport

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  ForwardTag, IncludeTag, ResolveTag

    public abstract class L10nTagSupport

extends javax.servlet.jsp.tagext.TagSupport

Provides support for localization tags.

See Also
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`L10nTagSupport()`

Method Summary
`String` | `getCountry()`
`String` | `getLanguage()`
`String` | `getPage()`
`String` | `getVariant()`
`void` | `release()` Releases the tag.
`protected String` | `resolve(String url)` Resolves the given URL based on the current locale.
`void` | `setCountry(String country)`
`void` | `setLanguage(String language)`
`void` | `setPage(String page)`
`void` | `setVariant(String variant)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### L10nTagSupport

    public L10nTagSupport()

Method Detail

### setPage

    public void setPage(String page)

  Parameters
    `page` - the page to be included/forwarded

### getPage

    public String getPage()

  Returns
    the page to be included/forwarded

### setLanguage

    public void setLanguage(String language)

  Parameters
    `language` - the language for the locale

### getLanguage

    public String getLanguage()

  Returns
    the language for the locale

### setCountry

    public void setCountry(String country)

  Parameters
    `country` - the country for the locale

### getCountry

    public String getCountry()

  Returns
    the country for the locale

### setVariant

    public void setVariant(String variant)

  Parameters
    `variant` - the language variant for the locale

### getVariant

    public String getVariant()

  Returns
    the language variant for the locale

### release

    public void release()

  Releases the tag.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### resolve

    protected String resolve(String url)
                      throws javax.servlet.jsp.JspException

  Resolves the given URL based on the current locale. The returned URL is always absolute (with respect to the web app root.

  Parameters
    `url` - the URL to resolve
  Returns
    localized URL
  Throws
    `javax.servlet.jsp.JspException` - thrown if there is an error resolving the URL

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.